Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.parser
Class WeblogicType

    java.lang.Object
      com.sun.mdm.index.parser.WeblogicType

public class WeblogicType
extends java.lang.Object

Constructor Summary
`WeblogicType()` default constructor

Method Summary
`java.lang.String` | `getCreateDefaultTables()` Getter for CreateDefaultTables attribute of the WeblogicType object
`java.lang.String` | `getDataSource()` Getter for DataSource attribute of the WeblogicType object
`java.lang.String` | `getJavac()` Getter for Javac attribute of the WeblogicType object
`java.lang.String` | `getVersion()` Getter for Version attribute of the WeblogicType object
`java.lang.String` | `getWebLogicHome()` Getter for WebLogicHome attribute of the WeblogicType object
`java.lang.String` | `getWorkingPath()` Getter for WorkingPath attribute of the WeblogicType object
`void` | `parse(org.w3c.dom.Node node)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WeblogicType

    public WeblogicType()

  default constructor

Method Detail

### getCreateDefaultTables

    public java.lang.String getCreateDefaultTables()

  Getter for CreateDefaultTables attribute of the WeblogicType object

  Returns:
    String ret string

### getDataSource

    public java.lang.String getDataSource()

  Getter for DataSource attribute of the WeblogicType object

  Returns:
    String ret string

### getJavac

    public java.lang.String getJavac()

  Getter for Javac attribute of the WeblogicType object

  Returns:
    String ret string

### getVersion

    public java.lang.String getVersion()

  Getter for Version attribute of the WeblogicType object

  Returns:
    String ret string

### getWebLogicHome

    public java.lang.String getWebLogicHome()

  Getter for WebLogicHome attribute of the WeblogicType object

  Returns:
    String ret string

### getWorkingPath

    public java.lang.String getWorkingPath()

  Getter for WorkingPath attribute of the WeblogicType object

  Returns:
    String ret string

### parse

    public void parse(org.w3c.dom.Node node)

  Parameters:
    `node` - node

### toString

    public java.lang.String toString()

  Returns:
    String ret string

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.